summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--x11-libs/qt-assistant/ChangeLog5
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild48
-rw-r--r--x11-libs/qt-core/ChangeLog5
-rw-r--r--x11-libs/qt-core/qt-core-4.7.0.ebuild55
-rw-r--r--x11-libs/qt-dbus/ChangeLog5
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild6
-rw-r--r--x11-libs/qt-declarative/ChangeLog6
-rw-r--r--x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild42
-rw-r--r--x11-libs/qt-demo/ChangeLog5
-rw-r--r--x11-libs/qt-demo/qt-demo-4.7.0.ebuild41
-rw-r--r--x11-libs/qt-gui/ChangeLog5
-rw-r--r--x11-libs/qt-gui/qt-gui-4.7.0.ebuild58
-rw-r--r--x11-libs/qt-multimedia/ChangeLog5
-rw-r--r--x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild10
-rw-r--r--x11-libs/qt-opengl/ChangeLog5
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild8
-rw-r--r--x11-libs/qt-phonon/ChangeLog5
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild39
-rw-r--r--x11-libs/qt-qt3support/ChangeLog5
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild22
-rw-r--r--x11-libs/qt-script/ChangeLog5
-rw-r--r--x11-libs/qt-script/qt-script-4.7.0.ebuild6
-rw-r--r--x11-libs/qt-sql/ChangeLog5
-rw-r--r--x11-libs/qt-sql/qt-sql-4.7.0.ebuild10
-rw-r--r--x11-libs/qt-svg/ChangeLog5
-rw-r--r--x11-libs/qt-svg/qt-svg-4.7.0.ebuild6
-rw-r--r--x11-libs/qt-test/ChangeLog5
-rw-r--r--x11-libs/qt-test/qt-test-4.7.0.ebuild6
-rw-r--r--x11-libs/qt-webkit/ChangeLog5
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild19
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog6
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild6
32 files changed, 275 insertions, 189 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index 7da9d43072ca..25f8ac8dd248 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.85 2010/09/21 14:37:38 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.86 2010/09/23 21:36:03 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-assistant-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-assistant-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild b/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild
index 38dfd5d8a26f..d7f459dcfd4f 100644
--- a/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild
+++ b/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild,v 1.1 2010/09/21 14:37:38 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.7.0.ebuild,v 1.2 2010/09/23 21:36:03 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The assistant help module for the Qt toolkit"
@@ -10,27 +10,27 @@ SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="doc +glib trace"
-DEPEND="~x11-libs/qt-gui-${PV}[glib=,trace?]
- ~x11-libs/qt-sql-${PV}[sqlite]
- ~x11-libs/qt-webkit-${PV}
+DEPEND="~x11-libs/qt-gui-${PV}[aqua=,glib=,trace?]
+ ~x11-libs/qt-sql-${PV}[aqua=,sqlite]
+ ~x11-libs/qt-webkit-${PV}[aqua=]
~x11-libs/qt-declarative-${PV}"
RDEPEND="${DEPEND}"
-# Pixeltool isn't really assistant related, but it relies on
-# the assistant libraries. doc/qch/
-QT4_TARGET_DIRECTORIES="
- tools/assistant
- tools/pixeltool
- tools/qdoc3"
-QT4_EXTRACT_DIRECTORIES="
- tools/
- demos/
- examples/
- src/
- include/
- doc/"
-
pkg_setup() {
+ # Pixeltool isn't really assistant related, but it relies on
+ # the assistant libraries. doc/qch/
+ QT4_TARGET_DIRECTORIES="
+ tools/assistant
+ tools/pixeltool
+ tools/qdoc3"
+ QT4_EXTRACT_DIRECTORIES="
+ tools/
+ demos/
+ examples/
+ src/
+ include/
+ doc/"
+
use trace && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
tools/qttracereplay"
QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
@@ -77,10 +77,12 @@ src_install() {
fi
dobin "${S}"/bin/qdoc3 || die "Failed to install qdoc3"
# install correct assistant icon, bug 241208
- dodir /usr/share/pixmaps/ || die
+ dodir /usr/share/pixmaps/ || die "dodir failed"
insinto /usr/share/pixmaps/
- doins tools/assistant/tools/assistant/images/assistant.png || die
+ doins tools/assistant/tools/assistant/images/assistant.png ||
+ die "doins failed"
# Note: absolute image path required here!
- make_desktop_entry /usr/bin/assistant Assistant \
- /usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' || die
+ make_desktop_entry "${EPREFIX}"/usr/bin/assistant Assistant \
+ "${EPREFIX}"/usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' ||
+ die "make_desktop_entry failed"
}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index c86abba1c5df..9bb1ed20371b 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.104 2010/09/21 14:41:15 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.105 2010/09/23 21:33:48 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-core-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-core-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-core/qt-core-4.7.0.ebuild b/x11-libs/qt-core/qt-core-4.7.0.ebuild
index e02cd4f5aa63..2170702ac4f5 100644
--- a/x11-libs/qt-core/qt-core-4.7.0.ebuild
+++ b/x11-libs/qt-core/qt-core-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.7.0.ebuild,v 1.1 2010/09/21 14:41:15 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.7.0.ebuild,v 1.2 2010/09/23 21:33:48 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
@@ -16,7 +16,7 @@ RDEPEND="sys-libs/zlib
!<x11-libs/qt-4.4.0:4"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
-PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[glib=,qt3support] )"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[aqua=,glib=,qt3support] )"
pkg_setup() {
QT4_TARGET_DIRECTORIES="
@@ -53,9 +53,8 @@ pkg_setup() {
src/declarative
src/gui
src/script
+ tools/shared
tools/linguist/shared
- tools/shared/symbian
- tools/shared/windows
translations"
qt4-build_pkg_setup
QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
@@ -104,11 +103,11 @@ src_compile() {
}
src_install() {
- dobin "${S}"/bin/{qmake,moc,rcc,uic,lconvert,lrelease,lupdate} || die
+ dobin "${S}"/bin/{qmake,moc,rcc,uic,lconvert,lrelease,lupdate} || die "dobin failed"
install_directories src/{corelib,xml,network,plugins/codecs}
- emake INSTALL_ROOT="${D}" install_mkspecs || die
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
#install private headers
if use private-headers; then
@@ -120,9 +119,10 @@ src_install() {
[[ -d "${S}"/lib/QtCore.framework ]] \
&& DYLD_FPATH=$(for x in "${S}/lib/"*.framework; do echo -n ":$x"; done)
DYLD_LIBRARY_PATH="${S}/lib${DYLD_FPATH}" \
- LD_LIBRARY_PATH="${S}/lib" "${S}"/bin/lrelease translations/*.ts || die
- insinto ${QTTRANSDIR}
- doins translations/*.qm || die
+ LD_LIBRARY_PATH="${S}/lib" "${S}"/bin/lrelease translations/*.ts \
+ || die "generating translations faied"
+ insinto ${QTTRANSDIR#${EPREFIX}}
+ doins translations/*.qm || die "doins translations failed"
setqtenv
fix_library_files
@@ -130,24 +130,35 @@ src_install() {
# List all the multilib libdirs
local libdirs=
for libdir in $(get_all_libdirs); do
- libdirs="${libdirs}:/usr/${libdir}/qt4"
+ libdirs+=:${EPREFIX}/usr/${libdir}/qt4
done
cat <<-EOF > "${T}/44qt4"
- LDPATH=${libdirs:1}
+ LDPATH="${libdirs:1}"
EOF
doenvd "${T}/44qt4"
- dodir /${QTDATADIR}/mkspecs/gentoo
+ dodir ${QTDATADIR#${EPREFIX}}/mkspecs/gentoo || die "dodir failed"
mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo \
- || die
+ || die "Failed to move qconfig.pri"
+
+ # Framework hacking
+ if use aqua && [[ ${CHOST#*-darwin} -ge 9 ]] ; then
+ #TODO do this better
+ sed -i -e '2a#include <QtCore/Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTLIBDIR}"/QtCore.framework/Headers/qconfig.h \
+ || die "sed for qconfig.h failed."
+ dosym "${QTHEADERDIR#${EPREFIX}}"/Gentoo "${QTLIBDIR#${EPREFIX}}"/QtCore.framework/Headers/Gentoo ||
+ die "dosym failed"
+ else
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h \
+ || die "sed for qconfig.h failed"
+ fi
- sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
- "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
- "${D}${QTHEADERDIR}"/Qt/qconfig.h \
- || die
if use glib; then
- QCONFIG_DEFINE=" $(use glib && echo QT_GLIB)
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
$(use ssl && echo QT_OPENSSL)"
install_qconfigs
fi
@@ -155,10 +166,12 @@ src_install() {
find "${D}"${QTLIBDIR} -name "*.la" -print0 | xargs -0 rm
# remove some unnecessary headers
rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
-qatomic_macosx.h,\
qatomic_windows.h,\
qatomic_windowsce.h,\
qt_windows.h}
- keepdir "${QTSYSCONFDIR}"
+ keepdir "${QTSYSCONFDIR#${EPREFIX}}"
+
+ # Framework magic
+ fix_includes
}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index 34c0ad26caee..98efd8c097cd 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.71 2010/09/21 14:42:24 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.72 2010/09/23 21:30:41 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-dbus-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-dbus-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild b/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild
index fea61d06e9a5..43ee76f49027 100644
--- a/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild
+++ b/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild,v 1.1 2010/09/21 14:42:24 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.7.0.ebuild,v 1.2 2010/09/23 21:30:41 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The DBus module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
-DEPEND="~x11-libs/qt-core-${PV}[debug=]
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]
>=sys-apps/dbus-1.0.2"
RDEPEND="${DEPEND}"
diff --git a/x11-libs/qt-declarative/ChangeLog b/x11-libs/qt-declarative/ChangeLog
index 8fafe759cc1b..5256f099f088 100644
--- a/x11-libs/qt-declarative/ChangeLog
+++ b/x11-libs/qt-declarative/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for x11-libs/qt-declarative
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-declarative/ChangeLog,v 1.4 2010/09/21 14:44:04 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-declarative/ChangeLog,v 1.5 2010/09/23 21:36:25 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org>
+ qt-declarative-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-declarative-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild b/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild
index 9f9f404c2bdb..c36719ef003e 100644
--- a/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild
+++ b/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild,v 1.1 2010/09/21 14:44:04 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-declarative/qt-declarative-4.7.0.ebuild,v 1.2 2010/09/23 21:36:25 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Declarative module for the Qt toolkit"
@@ -10,26 +10,30 @@ SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="private-headers"
-DEPEND="~x11-libs/qt-core-${PV}
- ~x11-libs/qt-gui-${PV}
- ~x11-libs/qt-multimedia-${PV}
- ~x11-libs/qt-opengl-${PV}
- ~x11-libs/qt-script-${PV}
- ~x11-libs/qt-sql-${PV}
- ~x11-libs/qt-svg-${PV}
- ~x11-libs/qt-webkit-${PV}
- ~x11-libs/qt-xmlpatterns-${PV}"
+DEPEND="~x11-libs/qt-core-${PV}[aqua=]
+ ~x11-libs/qt-gui-${PV}[aqua=]
+ ~x11-libs/qt-multimedia-${PV}[aqua=]
+ ~x11-libs/qt-opengl-${PV}[aqua=]
+ ~x11-libs/qt-script-${PV}[aqua=]
+ ~x11-libs/qt-sql-${PV}[aqua=]
+ ~x11-libs/qt-svg-${PV}[aqua=]
+ ~x11-libs/qt-webkit-${PV}[aqua=]
+ ~x11-libs/qt-xmlpatterns-${PV}[aqua=]"
RDEPEND="${DEPEND}"
-QCONFIG_ADD="declarative"
+pkg_setup() {
+ QCONFIG_ADD="declarative"
-QT4_TARGET_DIRECTORIES="
- src/declarative
- tools/qml"
-QT4_EXTRACT_DIRECTORIES="
- include/
- src/
- tools/"
+ QT4_TARGET_DIRECTORIES="
+ src/declarative
+ tools/qml"
+ QT4_EXTRACT_DIRECTORIES="
+ include/
+ src/
+ tools/"
+
+ qt4-build_pkg_setup
+}
src_configure() {
myconf="${myconf} -declarative"
diff --git a/x11-libs/qt-demo/ChangeLog b/x11-libs/qt-demo/ChangeLog
index f598fb9d0716..013b6a636bea 100644
--- a/x11-libs/qt-demo/ChangeLog
+++ b/x11-libs/qt-demo/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-demo
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.51 2010/09/21 14:45:36 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.52 2010/09/23 21:33:21 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-demo-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-demo-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-demo/qt-demo-4.7.0.ebuild b/x11-libs/qt-demo/qt-demo-4.7.0.ebuild
index 8df1aa86385d..3df53fdc49cb 100644
--- a/x11-libs/qt-demo/qt-demo-4.7.0.ebuild
+++ b/x11-libs/qt-demo/qt-demo-4.7.0.ebuild
@@ -1,28 +1,31 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.7.0.ebuild,v 1.1 2010/09/21 14:45:36 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.7.0.ebuild,v 1.2 2010/09/23 21:33:21 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="Demonstration module of the Qt toolkit"
SLOT="4"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="~x11-libs/qt-assistant-${PV}:${SLOT}
- ~x11-libs/qt-core-${PV}:${SLOT}
- ~x11-libs/qt-dbus-${PV}:${SLOT}
- ~x11-libs/qt-gui-${PV}:${SLOT}
- ~x11-libs/qt-multimedia-${PV}:${SLOT}
- ~x11-libs/qt-opengl-${PV}:${SLOT}
- || ( ~x11-libs/qt-phonon-${PV}:${SLOT} media-sound/phonon )
- ~x11-libs/qt-script-${PV}:${SLOT}
- ~x11-libs/qt-sql-${PV}:${SLOT}
- ~x11-libs/qt-svg-${PV}:${SLOT}
- ~x11-libs/qt-test-${PV}:${SLOT}
- ~x11-libs/qt-webkit-${PV}:${SLOT}
- ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}"
+IUSE="kde"
+
+DEPEND="~x11-libs/qt-assistant-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-core-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-dbus-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-gui-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-multimedia-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-opengl-${PV}:${SLOT}[aqua=]
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[aqua=]
+ media-sound/phonon[aqua=] ) )
+ kde? ( media-sound/phonon[aqua=] )
+ ~x11-libs/qt-script-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-sql-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-svg-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-test-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-webkit-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}[aqua=]"
+
RDEPEND="${DEPEND}"
PATCHES=( "${FILESDIR}/${PN}-4.6-plugandpaint.patch" )
@@ -40,8 +43,8 @@ pkg_setup() {
}
src_install() {
- insinto ${QTDOCDIR}/src
- doins -r "${S}"/doc/src/images || die
+ insinto "${QTDOCDIR#${EPREFIX}}"/src
+ doins -r "${S}"/doc/src/images || die "Installing images failed."
qt4-build_src_install
}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index 4e1545c884fe..de31aa878216 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.112 2010/09/21 14:55:53 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.113 2010/09/23 21:30:15 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-gui-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-gui-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-gui/qt-gui-4.7.0.ebuild b/x11-libs/qt-gui/qt-gui-4.7.0.ebuild
index 7c7410bdce87..86a0df3bea78 100644
--- a/x11-libs/qt-gui/qt-gui-4.7.0.ebuild
+++ b/x11-libs/qt-gui/qt-gui-4.7.0.ebuild
@@ -1,42 +1,45 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.7.0.ebuild,v 1.1 2010/09/21 14:55:53 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.7.0.ebuild,v 1.2 2010/09/23 21:30:15 wired Exp $
-EAPI="2"
+EAPI="3"
inherit confutils qt4-build
DESCRIPTION="The GUI module for the Qt toolkit"
SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-IUSE="+accessibility cups dbus egl +glib gtk mng nas nis +raster tiff trace
-private-headers qt3support xinerama"
+IUSE="+accessibility cups dbus egl +glib gtk mng nas nis private-headers qt3support +raster tiff trace xinerama"
RDEPEND="media-libs/fontconfig
media-libs/freetype:2
media-libs/jpeg:0
media-libs/libpng
sys-libs/zlib
- x11-libs/libX11
- x11-libs/libXext
- x11-libs/libXrandr
- x11-libs/libXcursor
- x11-libs/libXfont
- x11-libs/libSM
- x11-libs/libXi
- ~x11-libs/qt-core-${PV}[debug=,glib=,qt3support=]
- ~x11-libs/qt-script-${PV}[debug=]
+ ~x11-libs/qt-core-${PV}[aqua=,debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[aqua=,debug=]
+ !aqua? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ x11-libs/libXi
+ )
cups? ( net-print/cups )
- dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
- gtk? ( x11-libs/gtk+:2 )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[aqua=,debug=] )
+ gtk? ( x11-libs/gtk+:2[aqua=] )
mng? ( >=media-libs/libmng-1.0.9 )
nas? ( >=media-libs/nas-1.5 )
tiff? ( media-libs/tiff )
xinerama? ( x11-libs/libXinerama )"
DEPEND="${RDEPEND}
- xinerama? ( x11-proto/xineramaproto )
- x11-proto/xextproto
- x11-proto/inputproto"
-PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[debug=] )"
+ !aqua? (
+ x11-proto/xextproto
+ x11-proto/inputproto
+ )
+ xinerama? ( x11-proto/xineramaproto )"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[aqua=,debug=] )"
pkg_setup() {
if ! use qt3support; then
@@ -148,12 +151,15 @@ src_install() {
# install correct designer and linguist icons, bug 241208
doicon tools/linguist/linguist/images/icons/linguist-128-32.png \
- tools/designer/src/designer/images/designer.png || die
+ tools/designer/src/designer/images/designer.png \
+ || die "doicon failed"
# Note: absolute image path required here!
- make_desktop_entry /usr/bin/linguist Linguist \
- /usr/share/pixmaps/linguist-128-32.png \
- 'Qt;Development;GUIDesigner' || die
- make_desktop_entry /usr/bin/designer Designer \
- /usr/share/pixmaps/designer.png \
- 'Qt;Development;GUIDesigner' || die
+ make_desktop_entry "${EPREFIX}"/usr/bin/linguist Linguist \
+ "${EPREFIX}"/usr/share/pixmaps/linguist-128-32.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "linguist make_desktop_entry failed"
+ make_desktop_entry "${EPREFIX}"/usr/bin/designer Designer \
+ "${EPREFIX}"/usr/share/pixmaps/designer.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "designer make_desktop_entry failed"
}
diff --git a/x11-libs/qt-multimedia/ChangeLog b/x11-libs/qt-multimedia/ChangeLog
index dea04a6f0d39..98456836d65b 100644
--- a/x11-libs/qt-multimedia/ChangeLog
+++ b/x11-libs/qt-multimedia/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-multimedia
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.24 2010/09/21 14:52:12 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.25 2010/09/23 21:34:40 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-multimedia-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-multimedia-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild b/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild
index c6affb7bfa59..f06fa1481f0f 100644
--- a/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild
+++ b/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild,v 1.1 2010/09/21 14:52:12 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/qt-multimedia-4.7.0.ebuild,v 1.2 2010/09/23 21:34:40 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Qt multimedia module"
@@ -10,9 +10,9 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="iconv"
-DEPEND="media-libs/alsa-lib
- ~x11-libs/qt-core-${PV}[debug=]
- ~x11-libs/qt-gui-${PV}[debug=]"
+DEPEND="!aqua? ( media-libs/alsa-lib )
+ ~x11-libs/qt-core-${PV}[aqua=,debug=]
+ ~x11-libs/qt-gui-${PV}[aqua=,debug=]"
RDEPEND="${DEPEND}"
pkg_setup() {
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index 11002db9a47a..1d09857c85e1 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.71 2010/09/21 14:58:11 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.72 2010/09/23 21:31:59 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-opengl-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-opengl-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild b/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild
index 13bc499ff157..19b7cc081140 100644
--- a/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild
+++ b/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild,v 1.1 2010/09/21 14:58:11 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.7.0.ebuild,v 1.2 2010/09/23 21:31:59 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The OpenGL module for the Qt toolkit"
@@ -10,8 +10,8 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="egl qt3support"
-DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
- ~x11-libs/qt-gui-${PV}[debug=,egl=,qt3support=]
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[aqua=,debug=,egl=,qt3support=]
virtual/opengl"
RDEPEND="${DEPEND}"
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index ca911b95691e..e3d0a06b5e7d 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.75 2010/09/21 14:57:13 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.76 2010/09/23 21:34:14 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-phonon-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-phonon-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild b/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild
index 87ad8d3a0225..a88d6e4e1341 100644
--- a/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild
+++ b/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild,v 1.1 2010/09/21 14:57:13 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.7.0.ebuild,v 1.2 2010/09/23 21:34:14 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Phonon module for the Qt toolkit"
@@ -10,26 +10,31 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="dbus"
-DEPEND="~x11-libs/qt-gui-${PV}[debug=,glib,qt3support]
+DEPEND="~x11-libs/qt-gui-${PV}[aqua=,debug=,glib,qt3support]
!kde-base/phonon-kde
!kde-base/phonon-xine
!media-sound/phonon
- media-libs/gstreamer
- media-plugins/gst-plugins-meta
- dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )"
+ !aqua? ( media-libs/gstreamer
+ media-plugins/gst-plugins-meta )
+ aqua? ( ~x11-libs/qt-opengl-${PV}[aqua] )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[aqua=,debug=] )"
RDEPEND="${DEPEND}"
-QT4_TARGET_DIRECTORIES="
- src/phonon
- src/plugins/phonon
- tools/designer/src/plugins/phononwidgets"
-QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
- include/
- src
- tools"
-
-QCONFIG_ADD="phonon"
-QCONFIG_DEFINE="QT_GSTREAMER"
+pkg_setup() {
+ QT4_TARGET_DIRECTORIES="
+ src/phonon
+ src/plugins/phonon
+ tools/designer/src/plugins/phononwidgets"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ include/
+ src
+ tools"
+
+ QCONFIG_ADD="phonon"
+ use aqua || QCONFIG_DEFINE="QT_GSTREAMER"
+
+ qt4-build_pkg_setup
+}
src_configure() {
myconf="${myconf} -phonon -phonon-backend -no-opengl -no-svg
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index 6ef11bbbd97d..44c18e2ad08c 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.75 2010/09/21 14:59:27 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.76 2010/09/23 21:32:55 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-qt3support-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-qt3support-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild
index 82331c127277..8bdc077e228e 100644
--- a/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild,v 1.1 2010/09/21 14:59:27 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.7.0.ebuild,v 1.2 2010/09/23 21:32:55 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Qt3 support module for the Qt toolkit"
@@ -10,13 +10,14 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="+accessibility kde phonon"
-DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support]
- ~x11-libs/qt-gui-${PV}[accessibility=,debug=,qt3support]
- ~x11-libs/qt-sql-${PV}[debug=,qt3support]
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,aqua=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[aqua=,debug=,qt3support]
phonon? (
- !kde? ( || ( ~x11-libs/qt-phonon-${PV}[debug=]
- media-sound/phonon[gstreamer] ) )
- kde? ( media-sound/phonon[gstreamer] ) )"
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}[aqua=,debug=]
+ media-sound/phonon[aqua=,gstreamer] ) )
+ kde? ( media-sound/phonon[aqua=,gstreamer] ) )"
+
RDEPEND="${DEPEND}"
pkg_setup() {
@@ -24,10 +25,13 @@ pkg_setup() {
src/qt3support
src/tools/uic3
tools/designer/src/plugins/widgets
- tools/qtconfig
tools/porting"
+
QT4_EXTRACT_DIRECTORIES="src include tools"
+ # mac version does not contain qtconfig?
+ [[ ${CHOST} == *-darwin* ]] || QT4_TARGET_DIRECTORIES+=" tools/qtconfig"
+
qt4-build_pkg_setup
}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index bb4eb9a6a2f4..d9e8dd0b5cfa 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.74 2010/09/21 15:01:32 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.75 2010/09/23 21:32:28 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-script-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-script-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-script/qt-script-4.7.0.ebuild b/x11-libs/qt-script/qt-script-4.7.0.ebuild
index 158bb810c375..f7cbca6acace 100644
--- a/x11-libs/qt-script/qt-script-4.7.0.ebuild
+++ b/x11-libs/qt-script/qt-script-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.7.0.ebuild,v 1.1 2010/09/21 15:01:32 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.7.0.ebuild,v 1.2 2010/09/23 21:32:28 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The ECMAScript module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="iconv private-headers"
-DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]"
RDEPEND="${DEPEND}"
pkg_setup() {
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index 48d948c84ef9..57efe563d9ff 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.90 2010/09/21 15:02:47 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.91 2010/09/23 21:35:36 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-sql-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-sql-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-sql/qt-sql-4.7.0.ebuild b/x11-libs/qt-sql/qt-sql-4.7.0.ebuild
index 47513af46954..c96d2008b584 100644
--- a/x11-libs/qt-sql/qt-sql-4.7.0.ebuild
+++ b/x11-libs/qt-sql/qt-sql-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.7.0.ebuild,v 1.1 2010/09/21 15:02:47 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.7.0.ebuild,v 1.2 2010/09/23 21:35:36 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The SQL module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="firebird freetds iconv mysql odbc postgres qt3support +sqlite"
-DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support=]
firebird? ( dev-db/firebird )
freetds? ( dev-db/freetds )
mysql? ( virtual/mysql )
@@ -52,8 +52,8 @@ src_prepare() {
src_configure() {
# Don't support sqlite2 anymore
myconf="${myconf} -no-sql-sqlite2
- $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
- $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I${EPREFIX}/usr/include/mysql -L${EPREFIX}/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I${EPREFIX}/usr/include/postgresql/pgsql ")
$(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
$(qt_use odbc sql-odbc plugin)
$(qt_use freetds sql-tds plugin)
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index 889fe6faa8b8..c9df0095b84f 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.71 2010/09/21 16:39:03 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.72 2010/09/23 21:31:07 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-svg-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-svg-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-svg/qt-svg-4.7.0.ebuild b/x11-libs/qt-svg/qt-svg-4.7.0.ebuild
index 43f4eb50f4e3..aa1d9be02cc0 100644
--- a/x11-libs/qt-svg/qt-svg-4.7.0.ebuild
+++ b/x11-libs/qt-svg/qt-svg-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.7.0.ebuild,v 1.1 2010/09/21 16:39:03 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.7.0.ebuild,v 1.2 2010/09/23 21:31:07 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The SVG module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="iconv"
-DEPEND="~x11-libs/qt-gui-${PV}[debug=]"
+DEPEND="~x11-libs/qt-gui-${PV}[aqua=,debug=]"
RDEPEND="${DEPEND}"
pkg_setup() {
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index 804597ef637f..0dd1f50d78ed 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.71 2010/09/21 15:05:31 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.72 2010/09/23 21:29:46 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-test-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-test-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-test/qt-test-4.7.0.ebuild b/x11-libs/qt-test/qt-test-4.7.0.ebuild
index fec65d8d3fbf..0a7f417ad963 100644
--- a/x11-libs/qt-test/qt-test-4.7.0.ebuild
+++ b/x11-libs/qt-test/qt-test-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.7.0.ebuild,v 1.1 2010/09/21 15:05:31 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.7.0.ebuild,v 1.2 2010/09/23 21:29:46 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The testing framework module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="iconv"
-DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]"
RDEPEND="${DEPEND}"
pkg_setup() {
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index 1cdd408c0c47..5309d0e9f798 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.101 2010/09/21 15:07:37 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.102 2010/09/23 21:35:09 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org> qt-webkit-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-webkit-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild b/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild
index 06efa94c559f..526fd4b3a12c 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild,v 1.1 2010/09/21 15:07:37 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.7.0.ebuild,v 1.2 2010/09/23 21:35:09 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The Webkit module for the Qt toolkit"
@@ -10,14 +10,13 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="dbus kde"
-DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
- ~x11-libs/qt-gui-${PV}[dbus?,debug=]
- ~x11-libs/qt-multimedia-${PV}[debug=]
- ~x11-libs/qt-xmlpatterns-${PV}[debug=]
- dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
- !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[dbus=,debug=]
- media-sound/phonon ) )
- kde? ( media-sound/phonon )"
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,ssl]
+ ~x11-libs/qt-gui-${PV}[aqua=,dbus?,debug=]
+ ~x11-libs/qt-xmlpatterns-${PV}[aqua=,debug=]
+ dbus? ( ~x11-libs/qt-dbus-${PV}[aqua=,debug=] )
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[aqua=,dbus=,debug=]
+ media-sound/phonon[aqua=] ) )
+ kde? ( || ( media-sound/phonon[aqua=] ~x11-libs/qt-phonon-${PV}:${SLOT}[aqua=,dbus=,debug] ) )"
RDEPEND="${DEPEND}"
pkg_setup() {
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index 6fe4b4269ee2..3e925825614d 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.71 2010/09/21 15:09:06 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.72 2010/09/23 21:31:33 wired Exp $
+
+ 23 Sep 2010; Alex Alexander <wired@gentoo.org>
+ qt-xmlpatterns-4.7.0.ebuild:
+ EAPI 3, prefix, other improvements
*qt-xmlpatterns-4.7.0 (21 Sep 2010)
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild
index 1b3d97434bcb..e19684455e32 100644
--- a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild,v 1.1 2010/09/21 15:09:06 tampakrap Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.7.0.ebuild,v 1.2 2010/09/23 21:31:33 wired Exp $
-EAPI="2"
+EAPI="3"
inherit qt4-build
DESCRIPTION="The patternist module for the Qt toolkit"
@@ -10,7 +10,7 @@ SLOT="4"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
-DEPEND="~x11-libs/qt-core-${PV}[debug=,exceptions]"
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,exceptions]"
RDEPEND="${DEPEND}"
pkg_setup() {